> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Labels of the Chat

> Get all labels applied to a specific chat

## Description

This endpoint returns all labels that are currently applied to a specific chat, allowing you to visualize how the chat is categorized.

## URL Parameters

<ParamField path="session" type="string" required>
  WhatsApp unique session ID
</ParamField>

<ParamField path="chatId" type="string" required>
  ID of the chat (JID of the contact or group)
</ParamField>

## Response

<ResponseField name="labels" type="array">
  List of labels applied to the chat
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "chatId": "5511999999999@s.whatsapp.net",
    "labels": [
      {
        "id": "label123",
        "name": "VIP Clients",
        "color": 1
      },
      {
        "id": "label456",
        "name": "Support",
        "color": 2
      }
    ]
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Labels returned successfully
* `400` - Invalid parameters
* `401` - Unauthorized
* `404` - Chat not found

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET https://api.wappfy.com.br/api/my-session/labels/chats/5511999999999@s.whatsapp.net
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const chatId = '5511999999999@s.whatsapp.net';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/labels/chats/${encodeURIComponent(chatId)}`);
  const data = await response.json();
  console.log(data.labels);
  ```

  ```python Python theme={null}
  import requests
  from urllib.parse import quote

  session = 'my-session'
  chat_id = '5511999999999@s.whatsapp.net'
  response = requests.get(f'https://api.wappfy.com.br/api/{session}/labels/chats/{quote(chat_id)}')
  data = response.json()
  print(data['labels'])
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json get /api/{session}/labels/chats/{chatId}
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/labels/chats/{chatId}:
    get:
      tags:
        - 🏷️ Labels
      summary: Get labels for the conversation
      description: The {session} parameter must be the session's instanceName.
      operationId: LabelsController_getChatLabels
      parameters:
        - name: chatId
          required: true
          in: path
          description: Conversation ID
          example: 123456789@c.us
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Label'
      security:
        - api_key: []
components:
  schemas:
    Label:
      type: object
      properties:
        id:
          type: string
          example: '1'
          description: Label ID
        name:
          type: string
          example: Lead
          description: Label name
        color:
          type: number
          example: 0
          description: Color number, not hex
        colorHex:
          type: string
          example: '#ff9485'
          description: Color in hex
      required:
        - id
        - name
        - color
        - colorHex
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````